#!/bin/sh

echo "pre-install"

NAME=x11vnc
XVNC_PATH=/usr/local/AppCentral/${NAME}
CONF=${XVNC_PATH}/${NAME}.conf
PASSWD=${XVNC_PATH}/.vnc_passwd

case "$APKG_PKG_STATUS" in
	upgrade)
	if [ ! -e /usr/local/AppCentral/.tmp_${NAME} ] ; then
		mkdir /usr/local/AppCentral/.tmp_${NAME}
		cp -pPR ${CONF} /usr/local/AppCentral/.tmp_${NAME}/
		if [ -e "${PASSWD}" ] ; then
			cp -p ${PASSWD} /usr/local/AppCentral/.tmp_${NAME}/
		fi
	fi
	;;
	install)
		echo "rien" > /dev/null
	;;
	*)
	echo "!HUM $NAME pre-install $APKG_PKG_STATUS is not used !!! " > /tmp/INFO_PRE_INSTALL_$NAME
	;;
esac

if [ -e /tmp/.x11vnc_choice ] ; then
	rm -f /tmp/.x11vnc_choice
fi

if [ -e /tmp/.x11vnc_lock ] ; then
	rm -f /tmp/.x11vnc_lock 
fi
